Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_list_unshift

## Name

librdf_list_unshift -- add a data item to the start of a librdf_list

## Synopsis

``int `librdf_list_unshift`` (librdf_list* `list`, void * `data`);`

## Arguments

`list`

  librdf_list object

`data`

  the data value

## Description

if `librdf_list_shift` is called after this, it will return the value added here.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_list_add | Up | librdf_list_remove